<?php
namespace FM\Service;

use FM\Factory\Fm00011000AnaliseNaoConformidadesFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\DataSet;

class Fm00011000AnaliseNaoConformidadesService {
    
  protected $AnaliseNaoConformidadeFactory;
  protected $Environment;
  protected $newCode;
  
  public function __construct (EntityManager $entityManager, Fm00011000AnaliseNaoConformidadesFactory $AnaliseNaoConformidadeFactory, Environment $Environment, NewCode $newCode) {
    $this->connection                     = $entityManager->getConnection();
    $this->AnaliseNaoConformidadeFactory  = $AnaliseNaoConformidadeFactory;
    $this->Environment                    = $Environment;
    $this->newCode                        = $newCode;
  }

  public function getNaoConformidadesGerais() {
    return $this->AnaliseNaoConformidadeFactory->getNaoConformidadesGerais();
  }

  public function getPrincipaisNaoConformidades() {
    return $this->AnaliseNaoConformidadeFactory->getPrincipaisNaoConformidades();
  }
}